import React from 'react';
import type { IInstance, IServerGroup } from '../domain';
export interface IInstanceListBodyProps {
    serverGroup: IServerGroup;
    instances: IInstance[];
    hasDiscovery: boolean;
    hasLoadBalancers: boolean;
}
export interface IInstanceListBodyState {
    selectedInstanceIds: string[];
    activeInstanceId: string;
    multiselect: boolean;
    instanceSort?: string;
}
export declare class InstanceListBody extends React.Component<IInstanceListBodyProps, IInstanceListBodyState> {
    private $uiRouter;
    private $state;
    private destroy$;
    constructor(props: IInstanceListBodyProps);
    componentDidMount(): void;
    private getSelectedInstanceIds;
    componentWillUnmount(): void;
    shouldComponentUpdate(nextProps: IInstanceListBodyProps, nextState: IInstanceListBodyState): boolean;
    private instanceSorter;
    private renderRow;
    private renderLoadBalancerCell;
    private instanceBodyClicked;
    render(): JSX.Element;
}
